function H=circle6(centers,radius,NOP,color,transparency)
%---------------------------------------------------------------------------------------------
% H=CIRCLE(CENTER,RADIUS,NOP,STYLE)
% This routine draws a circle with center defined as
% a vector CENTER, radius as a scaler RADIS. NOP is 
% the number of points on the circle.
%
% Examples,
%
%   circle([1,3,1],3,1000,':'); 
%   circle([2,4,1],2,1000,'--');
%
%   Ahmed Ferozpuri <aferozpu@gmu.edu>
%   Version 1.00
%   May 25, 2006
%---------------------------------------------------------------------------------------------
%v.4 LR version no line, transparent.
%v.5 LR grey outline
%v.6 LR plot a series of points

if (nargin <3),
 error('Please see help for INPUT DATA.');
elseif (nargin==3)
    style='b-';
end;

if size(centers,2)<3
    centers=[centers zeros(length(centers),1)];
end

for k=1:length(centers)
THETA=linspace(0,2*pi,NOP);
RHO=ones(1,NOP)*radius;
[X,Y] = pol2cart(THETA,RHO);
X=X+centers(k,1);
Y=Y+centers(k,2);
Z = centers(k,3)*ones(1,length(X));
H=patch(X,Y,Z,'FaceColor',color,'FaceAlpha',transparency,'EdgeAlpha',0);
end